package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.model.Ledgrp;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * Reimbursement Claim (MT 742)
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Rmbclm extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Rmbclm.class);

    //Send MT 742
    private String clmrmbflg = NULLSTR;
    //currency of principal amount claimed
    private String clmcur = NULLSTR;

    //Total amount claimed
    private BigDecimal clmamt = Decimals.ZERO_SCALE3;

    //Additional Amount claimed
    private BigDecimal clmamt2 = Decimals.ZERO_SCALE3;

    //Reimbursement by
    private String rmbrol = NULLSTR;

    //value date
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date valdat;

    //XMLPanel letclmlr的内置block
    private String letclmlrblk = NULLSTR;


    private com.brilliance.isc.bo.model.Ledgrp ledgrp;


    private PtsptaVo issrmb;


    private PtsptaVo rmbrmb;

//		private Cur wrkcur;


    private PtsptaVo acwacw;


    private PtsptaVo bebbeb;

    @Override
    public void reset() {
        super.reset();
        if (ledgrp == null) {
			ledgrp = new Ledgrp();
        }
		ledgrp.reset();

		if (issrmb == null) {
			issrmb = new PtsptaVo();
		}
		issrmb.reset();

		if (rmbrmb == null) {
			rmbrmb = new PtsptaVo();
		}
		rmbrmb.reset();

		if (acwacw == null) {
			acwacw = new PtsptaVo();
		}
		acwacw.reset();

		if (bebbeb == null) {
			bebbeb = new PtsptaVo();
		}
		bebbeb.reset();
    }
}